-------------------------- Castbar --------------------------
-------------------------------------------------------------
local CBClassColor = false
local CBSafezone = true
local CBLatency = true
local CBcolor = {1, 0.65, 0.16} -- currently not in use!
local CBcolorbg = {0.22, 0.22, 0.19} -- currently not in use!

-- Duration/Time Font
local CBFont, CBFontSize, CBFontFlag = "Interface\\AddOns\\oUF_Hank_v3\\fonts\\tahoma.ttf", 10, "OUTLINE"
-- Cast Font
local CBFontB, CBFontSizeB, CBFontFlagB = "Interface\\AddOns\\oUF_Hank_v3\\fonts\\tahomabd.ttf", 18, "OUTLINE"
-- Castbar Media
local CBStatusBar = "Interface\\AddOns\\oUF_Hank_v3\\textures\\Flat"
local CBBorder = "Interface\\AddOns\\oUF_Hank_v3\\textures\\glowTex"

local CBBackDrop = {
	bgFile = [=[Interface\ChatFrame\ChatFrameBackground]=],
	insets = {top = 0, left = 0, bottom = 0, right = 0},
}

local CBFrameBD = {
	edgeFile = CBBorder, edgeSize = 5,
	insets = {left = 3, right = 3, top = 3, bottom = 3}
}

-------------------------------------------------------------

local function UpdateChannelStart(self, event, unit, name, rank, text)
    if (self.Castbar.Latency) then
        self.Castbar.Latency:ClearAllPoints()
        self.Castbar.Latency:SetPoint('LEFT', self.Castbar, 'BOTTOMLEFT', 1, -1)

        local _, _, ms = GetNetStats()
        self.Castbar.Latency:SetText(ms..'ms')
    end

	if (self.Castbar.SafeZone) then
        self.Castbar.SafeZone:SetDrawLayer('ARTWORK')
        self.Castbar.SafeZone:SetPoint('TOPLEFT', self.Castbar)
        self.Castbar.SafeZone:SetPoint('BOTTOMLEFT', self.Castbar)
	end
end

    -- custom casting function

local function UpdateCastStart(self, event, unit, name, rank, text, castid)
    if (self.Castbar.Latency and unit == 'player') then
        self.Castbar.Latency:ClearAllPoints()
        self.Castbar.Latency:SetPoint('RIGHT', self.Castbar, 'BOTTOMRIGHT', -1, -1)

        local _, _, ms = GetNetStats()
        self.Castbar.Latency:SetText(ms..'ms')
    end

	if (self.Castbar.SafeZone) then
        self.Castbar.SafeZone:SetDrawLayer('BORDER')
        self.Castbar.SafeZone:SetPoint('TOPRIGHT', self.Castbar)
        self.Castbar.SafeZone:SetPoint('BOTTOMRIGHT', self.Castbar)
	end
end

function BuildCastbars(self, unit)

	if (unit == "target" or unit == "player" or unit == "focus") then
		self.Castbar = CreateFrame('StatusBar', self:GetName()..'Castbar', self)
		self.Castbar:SetStatusBarTexture(CBStatusBar, "OVERLAY")
		self.Castbar:SetStatusBarColor(1, 0.65, 0.16)
		self.Castbar:SetParent(self)
		self.Castbar:SetHeight(38)
		self.Castbar:SetWidth(100)
		self.Castbar:SetToplevel(true)

		self.Castbar.Spark = self.Castbar:CreateTexture(nil, "OVERLAY")
		self.Castbar.Spark:SetBlendMode("ADD")
		self.Castbar.Spark:SetHeight(58)

		self.Castbar.Bg = self.Castbar:CreateTexture(nil, "BACKGROUND")
		self.Castbar.Bg:SetAllPoints(self.Castbar)
		self.Castbar.Bg:SetTexture(CBStatusBar)
	    self.Castbar.Bg:SetVertexColor(0.22, 0.22, 0.19, 0.8)

        if (unit == 'player') then
            local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
            if (CBClassColor) then
                self.Castbar:SetStatusBarColor(playerColor.r, playerColor.g, playerColor.b)
                self.Castbar.Bg:SetVertexColor(playerColor.r*0.3, playerColor.g*0.3, playerColor.b*0.3, 0.8)
            end

            if (CBSafezone) then
                self.Castbar.SafeZone = self.Castbar:CreateTexture(nil, 'BORDER')
                self.Castbar.SafeZone:SetTexture('Interface\\Buttons\\WHITE8x8')
                self.Castbar.SafeZone:SetVertexColor(1, 0.5, 0, 1)
            end

            if (CBLatency) then
                self.Castbar.Latency = self:CreateFontString(nil, 'ARTWORK')
                self.Castbar.Latency:SetFont(CBFontB, CBFontSize)
                self.Castbar.Latency:SetShadowOffset(1, -1)
                self.Castbar.Latency:SetParent(self.Castbar)
                self.Castbar.Latency:SetDrawLayer('OVERLAY')
                self.Castbar.Latency:SetVertexColor(0.6, 0.6, 0.6)
                self.Castbar.Latency:SetAlpha(1)
            end

            self.PostCastStart = UpdateCastStart
            self.PostChannelStart = UpdateChannelStart
        end

        self.Castbar.CustomDelayText = function(self, duration)
            self.Time:SetFormattedText('[|cffff0000-%.1f|r] %.1f/%.1f', self.delay, duration, self.max)
        end

        self.Castbar.CustomTimeText = function(self, duration)
            self.Time:SetFormattedText('%.1f/%.1f', duration, self.max)
        end

		self.Castbar.Time = self.Castbar:CreateFontString(nil, 'OVERLAY')
		self.Castbar.Time:SetFont(CBFont, CBFontSizeB, CBFontFlagB)
		--self.Castbar.Time:SetShadowOffset(1, -1)
		self.Castbar.Time:SetPoint("BOTTOMLEFT", self.Castbar, 2, 2)
		self.Castbar.Time:SetJustifyH"LEFT"


		self.Castbar.Text = self.Castbar:CreateFontString(nil, "OVERLAY")
		self.Castbar.Text:SetFont(CBFontB, CBFontSize, CBFontFlagB)
		--self.Castbar.Text:SetShadowOffset(1, -1)
		self.Castbar.Text:SetPoint("LEFT", self.Castbar, 2, 8)
		self.Castbar.Text:SetPoint("RIGHT", self.Castbar, "RIGHT" , 0, 0)
		self.Castbar.Text:SetJustifyH"LEFT"

		self.Castbar.Icon = self.Castbar:CreateTexture(nil, 'ARTWORK')
		self.Castbar.Icon:SetHeight(38)
		self.Castbar.Icon:SetWidth(38)
		self.Castbar.Icon:SetTexCoord(.1, .9, .1, .9)

		if (unit == "player") then
			self.Castbar:SetPoint("RIGHT", self, "RIGHT", 150, 0)
			self.Castbar.Icon:SetPoint("TOPRIGHT", self.Castbar, "TOPLEFT", -5, 0)
		else
			self.Castbar:SetPoint("LEFT", self, "LEFT", -150, 0)
			self.Castbar.Icon:SetPoint("TOPLEFT", self.Castbar, "TOPRIGHT", 5, 0)
		end

		self.Castbar.Backdrop = CreateFrame("Frame", nil, self.Castbar)
		self.Castbar.Backdrop:SetPoint("TOPLEFT", self.Castbar, "TOPLEFT", -4, 4)
		self.Castbar.Backdrop:SetPoint("BOTTOMRIGHT", self.Castbar, "BOTTOMRIGHT", 4, -4)
		self.Castbar.Backdrop:SetFrameStrata("LOW")
		self.Castbar.Backdrop:SetBackdrop(CBFrameBD)
		self.Castbar.Backdrop:SetBackdropColor(0, 0, 0, 0)
		self.Castbar.Backdrop:SetBackdropBorderColor(0, 0, 0)

		self.Castbar.IBackdrop = CreateFrame("Frame", nil, self.Castbar)
		self.Castbar.IBackdrop:SetPoint("TOPLEFT", self.Castbar.Icon, "TOPLEFT", -4, 4)
		self.Castbar.IBackdrop:SetPoint("BOTTOMRIGHT", self.Castbar.Icon, "BOTTOMRIGHT", 4, -4)
		self.Castbar.IBackdrop:SetFrameStrata("LOW")
		self.Castbar.IBackdrop:SetBackdrop(CBFrameBD)
		self.Castbar.IBackdrop:SetBackdropColor(0, 0, 0, 0)
		self.Castbar.IBackdrop:SetBackdropBorderColor(0, 0, 0)

	end
end


    -- mirrortimers

for _, bar in pairs({
    'MirrorTimer1',
    'MirrorTimer2',
    'MirrorTimer3',
}) do
    for i, region in pairs({_G[bar]:GetRegions()}) do
        if (region.GetTexture and region:GetTexture() == 'SolidTexture') then
            region:Hide()
        end
    end

    --CreateBorder(_G[bar], 11, 1, 1, 1, 3, 3, 3, 3, 3, 3, 3, 3)

		_G[bar].Backdrop = CreateFrame("Frame", nil, _G[bar])
		_G[bar].Backdrop:SetPoint("TOPLEFT", _G[bar], "TOPLEFT", -4, 4)
		_G[bar].Backdrop:SetPoint("BOTTOMRIGHT", _G[bar], "BOTTOMRIGHT", 4, -4)
		_G[bar].Backdrop:SetFrameStrata("LOW")
		_G[bar].Backdrop:SetBackdrop(CBFrameBD)
		_G[bar].Backdrop:SetBackdropColor(0, 0, 0, 0)
		_G[bar].Backdrop:SetBackdropBorderColor(0, 0, 0)


    _G[bar..'Border']:Hide()

    _G[bar]:SetParent(UIParent)
    _G[bar]:SetScale(1)
    _G[bar]:SetHeight(18)
    _G[bar]:SetWidth(220)

    _G[bar..'Background'] = _G[bar]:CreateTexture(bar..'Background', 'BACKGROUND', _G[bar])
    _G[bar..'Background']:SetTexture(CBStatusBar)
    _G[bar..'Background']:SetAllPoints(bar)
    _G[bar..'Background']:SetVertexColor(0.22, 0.22, 0.19, 0.8)

    _G[bar..'Text']:SetFont(CBFontB, 11, CBFontFlag)
    _G[bar..'Text']:ClearAllPoints()
    _G[bar..'Text']:SetPoint('CENTER', MirrorTimer1StatusBar, 0, 1)

    _G[bar..'StatusBar']:SetAllPoints(_G[bar])

end