oUF_Hank_config = {

--------------- Frame positioning and scaling ---------------
-------------------------------------------------------------

-- Scale of all frames (1.0 = 100%)
FrameScale = 1.0,
-- Focus frame scale (size of focus frame = FrameScale * FocusFrameScale)
FocusFrameScale = 0.6,
-- Horizontal margin for player / target frames (from the center of the screen)
FrameMarginX = 175,
-- Vertical margin for player / target frames (from the center of the screen)
FrameMarginY = 250,
-- Vertical margin for focus frame (from the center of the screen)
FocusFrameMarginY = 125,
-- Hide Blizzard party frames (true/false)
HideParty = true,

-- For more positioning possibilities download oUF_MovableFrames
-- http://www.wowinterface.com/downloads/info15425-oUF_MovableFrames.html


-------------------------- Castbar --------------------------
-------------------------------------------------------------

-- Use Hank_v3 CastBars for Player, Target and Focus Frame (true/false)
-- You can edit the Castbar in castbar.lua!!!
CBEnable = true,


-------------------------- Colors ---------------------------
-------------------------------------------------------------

-- RGB values (red / 255, green / 255, blue / 255)
-- e.g. Bright purple = RGB: 255, 0, 255 = 1, 0, 1
--      Medium green = RGB: 0, 128, 0 = 0, 0.5, 0

colors = setmetatable({
	-- Color for: General text and highlighted auras
	text = {1, 0.65, 0.16},
	-- Shadow color for small and medium sized text
	textShadow = {0.25, 0.25, 0.25, 0.5},
	-- Power types
	power = setmetatable({
		["MANA"] = {0.31, 0.45, 0.63},
		["RAGE"] = {0.69, 0.31, 0.31},
		["FOCUS"] = {0.71, 0.43, 0.27},
		["ENERGY"] = {0.65, 0.63, 0.35},
		["RUNES"] = {0.55, 0.57, 0.61},
		["RUNIC_POWER"] = {0, 0.82, 1},
		["AMMOSLOT"] = {0.8, 0.6, 0},
		["FUEL"] = {0, 0.55, 0.5},
		["POWER_TYPE_STEAM"] = {0.55, 0.57, 0.61},
		["POWER_TYPE_PYRITE"] = {0.60, 0.09, 0.17},
	}, {__index = oUF.colors.power}),
	runes = setmetatable({
		-- Blood
		{0.81, 0.26, 0.1},
		-- Unholy
		{0.17, 0.8, 0.38},
		-- Frost
		{0.17, 0.73, 0.8},
		-- Death
		{0.89, 0.17, 0.8},
	}, {__index = oUF.colors.runes}),
	totems = {
		-- Fire
		{0.81, 0.26, 0.1},
		-- Earth
		{0.8, 0.72, 0.29},
		-- Water
		{0.17, 0.5, 1},
		-- Air
		{0.17, 0.73, 0.8},
	},
}, {__index = oUF.colors}),

--------------------------- Fonts ---------------------------
-------------------------------------------------------------

-- See http://www.wowwiki.com/API_Font_SetFont for details

-- Please note: Big percentage numbers are textures and cannot be changed this way
-- If you use fontain (http://www.wowace.com/addons/fontain/), please change "UFFonts" under "Single font overrides"

-- Target name
FontStyleBig = {"Interface\\AddOns\\oUF_Hank_v3\\fonts\\din1451e.ttf", 28, "THICKOUTLINE"},
-- Power, absolute health
FontStyleMedium = {"Interface\\AddOns\\oUF_Hank_v3\\fonts\\din1451e.ttf", 16, "OUTLINE"},
-- ToT, TToT, pet
FontStyleSmall = {"Interface\\AddOns\\oUF_Hank_v3\\fonts\\din1451e.ttf", 14, "OUTLINE"},

---------------------- Aura icon size -----------------------
-------------------------------------------------------------

-- Buff icon size (in pixels)
BuffSize = 18,
-- Debuff icon size (in pixels)
DebuffSize = 22,
-- Space between auras
AuraSpacing = 8,
-- Border texture. Set to false to disable. This layout also supports ButtonFacade.
AuraBorder = "Interface\\AddOns\\rActionButtonStyler\\media\\gloss",
-- Aura mouseover zoom (1.0 = 100%)
AuraMagnification = 2.0,

----------------------- Aura filters ------------------------
-------------------------------------------------------------

-- Aura settings for target
AurasTARGET = {
	-- Maximum number of buffs shown
	MaxBuffs = 32,
	-- Maximum number of debuffs shown
	MaxDebuffs = 40,

	-- Set to true, these kinds of auras will *ALWAYS* be shown and are colored.
	-- Overwrites white- and blacklists (see below)!
	StickyAuras = {
		-- Buffs casted by player on friendly units (true/false)
		myBuffs = true,
		-- Debuffs afflicted by player on hostile units (true/false)
		myDebuffs = true,
		-- Debuffs on friendly units that you can cure (true/false)
		curableDebuffs = true,
		-- Buffs a hostile unit casted on itself (true/false)
		enemySelfBuffs = true,
	},

	-- All non-sticky auras (see above) will be filtered using the following method ("BLACKLIST" / "WHITELIST")
	-- Leave empty to not filter at all
	FilterMethod = {
		Buffs = "",
		Debuffs = "",
	},

	-- If the filter method is set to "BLACKLIST" the following auras will be hidden (unless sticky)
	BlackList = {
		"Essence of Wintergrasp",
		"Honorless Target",
		"Drinking",
		"Ghost",
		-- etc.
	},

	-- If the filter method is set to "WHITELIST" only (unless sticky) the following auras will be shown
	WhiteList = {
		"Heroism",
		"Mark of the Fallen Champion",
		-- etc.
	},
},

-- Aura settings for focus
-- Please refer to the explanations above
AurasFOCUS = {
	MaxBuffs = 32,
	MaxDebuffs = 40,

	StickyAuras = {
		myBuffs = false,
		myDebuffs = true,
		curableDebuffs = true,
		enemySelfBuffs = true,
	},

	FilterMethod = {
		Buffs = "WHITELIST",
		Debuffs = "WHITELIST",
	},

	BlackList = {
	},

	WhiteList = {
	},
},

--------------------- Threat indicator ----------------------
-------------------------------------------------------------

-- Show threat status on target and focus (true/false)
ShowThreat = true,
-- Color threat status (true/false)
ColorThreat = true,

----------------------- Range fading ------------------------
-------------------------------------------------------------

-- Requires oUF_SpellRange plugin!
-- http://www.wowinterface.com/downloads/info12839-oUFSpellRange.html

-- Range fading (true/false)
RangeFade = true,
-- Out of range opacity (0.0 - 1.0)
RangeFadeOpacity = 0.6,

------------------------ Totem bar --------------------------
-------------------------------------------------------------

-- Requires oUF TotemBar plugin!
-- http://www.wowinterface.com/downloads/info13714-oUF_TotemBar.html

-- Display totem bar (true/false)
TotemBar = true,
-- Destroy totems on click at totem bar, destroy all totem via shift-click (true/false)
ClickToDestroy = true,

}